# Uses of Class
org.apache.sysds.runtime.util.DependencyTask

Packages that use DependencyTask
Package
Description
org.apache.sysds.runtime.transform.encode
org.apache.sysds.runtime.transform.tokenize
org.apache.sysds.runtime.transform.tokenize.applier
org.apache.sysds.runtime.transform.tokenize.builder
org.apache.sysds.runtime.util

## Uses of DependencyTask in org.apache.sysds.runtime.transform.encode

Methods in org.apache.sysds.runtime.transform.encode that return types with arguments of type DependencyTask
Modifier and Type
Method
Description
`List<DependencyTask<?>>`
ColumnEncoder.`getApplyTasks(CacheBlock<?> in, MatrixBlock out, int outputCol, int[] sparseRowPointerOffsets)`
`List<DependencyTask<?>>`
ColumnEncoderComposite.`getApplyTasks(CacheBlock<?> in, MatrixBlock out, int outputCol, int[] sparseRowPointerOffsets)`
`List<DependencyTask<?>>`
ColumnEncoder.`getBuildTasks(CacheBlock<?> in)`
`List<DependencyTask<?>>`
ColumnEncoderComposite.`getBuildTasks(CacheBlock<?> in)`
`List<DependencyTask<?>>`
ColumnEncoderDummycode.`getBuildTasks(CacheBlock<?> in)`
`List<DependencyTask<?>>`
ColumnEncoderFeatureHash.`getBuildTasks(CacheBlock<?> in)`
`List<DependencyTask<?>>`
ColumnEncoderPassThrough.`getBuildTasks(CacheBlock<?> in)`
`List<DependencyTask<?>>`
ColumnEncoderUDF.`getBuildTasks(CacheBlock<?> in)`

## Uses of DependencyTask in org.apache.sysds.runtime.transform.tokenize

Methods in org.apache.sysds.runtime.transform.tokenize that return types with arguments of type DependencyTask
Modifier and Type
Method
Description
`List<DependencyTask<?>>`
Tokenizer.`getBuildTasks(FrameBlock in)`

## Uses of DependencyTask in org.apache.sysds.runtime.transform.tokenize.applier

Methods in org.apache.sysds.runtime.transform.tokenize.applier that return types with arguments of type DependencyTask
Modifier and Type
Method
Description
`List<DependencyTask<?>>`
TokenizerApplier.`getApplyTasks(DocumentRepresentation[] internalRepresentation, FrameBlock out)`
`List<DependencyTask<?>>`
TokenizerApplier.`getBuildTasks(DocumentRepresentation[] internalRepresentation)`

## Uses of DependencyTask in org.apache.sysds.runtime.transform.tokenize.builder

Methods in org.apache.sysds.runtime.transform.tokenize.builder that return types with arguments of type DependencyTask
Modifier and Type
Method
Description
`List<DependencyTask<?>>`
TokenizerBuilder.`getTasks(FrameBlock in, DocumentRepresentation[] internalRepresentation)`

## Uses of DependencyTask in org.apache.sysds.runtime.util

Subclasses of DependencyTask in org.apache.sysds.runtime.util
Modifier and Type
Class
Description
`class`
`DependencyWrapperTask<E>`
Fields in org.apache.sysds.runtime.util with type parameters of type DependencyTask
Modifier and Type
Field
Description
`List<DependencyTask<?>>`
DependencyTask.`_dependencyTasks`
debugging dependency tasks only used if LOG.isDebugEnabled
Methods in org.apache.sysds.runtime.util that return DependencyTask
Modifier and Type
Method
Description
`static DependencyTask<?>`
DependencyThreadPool.`createDependencyTask(Callable<?> task)`
Methods in org.apache.sysds.runtime.util that return types with arguments of type DependencyTask
Modifier and Type
Method
Description
`static List<DependencyTask<?>>`
DependencyThreadPool.`createDependencyTasks(List<? extends Callable<?>> tasks, List<List<? extends Callable<?>>> dependencies)`
`abstract List<DependencyTask<?>>`
DependencyWrapperTask.`getWrappedTasks()`
Methods in org.apache.sysds.runtime.util with parameters of type DependencyTask
Modifier and Type
Method
Description
`void`
DependencyTask.`addDependent(DependencyTask<?> dependencyTask)`
`int`
DependencyTask.`compareTo(DependencyTask<?> task)`
`boolean`
DependencyTask.`hasDependency(DependencyTask<?> dependencyTask)`
Method parameters in org.apache.sysds.runtime.util with type arguments of type DependencyTask
Modifier and Type
Method
Description
`static void`
DependencyThreadPool.`explainTaskGraph(List<DependencyTask<?>> tasks)`
`List<Future<Future<?>>>`
DependencyThreadPool.`submitAll(List<DependencyTask<?>> dtasks)`
`List<Object>`
DependencyThreadPool.`submitAllAndWait(List<DependencyTask<?>> dtasks)`
Constructor parameters in org.apache.sysds.runtime.util with type arguments of type DependencyTask
Modifier
Constructor
Description
``
`DependencyTask(Callable<E> task, List<DependencyTask<?>> dependantTasks)`